#ifndef volez_MINGW_MMAP_h
#define volez_MINGW_MMAP_h 1

#include <sys/types.h>

void *mingw_mmap(void *start, size_t length, int prot, int flags, int fd, off_t offset);
#define mmap mingw_mmap

int mingw_munmap(void *start, size_t length);
#define munmap mingw_munmap

/* Dummies */
#define PROT_READ	1
#define PROT_WRITE	2
#define MAP_PRIVATE	1

#endif
